Get Social Security Contributions - Flux Payroll API
Get all social security contributions for Mexico
cURL
curl --request GET \
--url https://api.staging.fluxpayroll.ai/api/mexico-payroll/contributions \
--header 'x-api-key: <api-key>'
Python
import requests
url = "https://api.staging.fluxpayroll.ai/api/mexico-payroll/contributions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.staging.fluxpayroll.ai/api/mexico-payroll/contributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.staging.fluxpayroll.ai/api/mexico-payroll/contributions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.staging.fluxpayroll.ai/api/mexico-payroll/contributions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://api.staging.fluxpayroll.ai/api/mexico-payroll/contributions")
.header("x-api-key", "<api-key>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.staging.fluxpayroll.ai/api/mexico-payroll/contributions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body
Response Codes
- 200: List of contributions retrieved successfully
- 400: Bad Request
- 401: Unauthorized
Example Response
[
{
"key": "MX_ISR",
"name": "Impuesto Sobre la Renta",
"description": "Impuesto sobre la renta para empleados",
"paidBy": "EMPLOYEE",
"jurisdiction": {
"key": "MX",
"name": "Mexico"
},
"levyingAgency": {
"key": "MX_SAT",
"name": "Servicio de Administración Tributaria"
},
"collectionAgency": {
"key": "MX_SAT",
"name": "Servicio de Administración Tributaria"
},
"levyingFrequency": "MONTHLY",
"depositFrequency": "MONTHLY",
"reportingCode": "001"
}
]
Error Response
{
"error": "VALIDATION_ERROR",
"message": "Invalid input data provided",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
Authorizations
- x-api-key: (string) required in header
Query Parameters
- locale: (enum) Locale for translated names and descriptions. Defaults to Spanish (es-MX) if not specified.
- Available options:
es-MX, en-US, en-MX
Response Details
- key: (string) required, Unique tax/contribution key (e.g., "MX_ISR")
- name: (string) required, Display name of the tax (e.g., "Impuesto Sobre la Renta")
- description: (string) required, Detailed description (e.g., "Impuesto sobre la renta para empleados")
- paidBy: (enum) required, Who is responsible for paying this tax/contribution (e.g., "EMPLOYEE", "EMPLOYER")
- jurisdiction: (object) required
- levyingAgency: (object) required
- collectionAgency: (object) required
- levyingFrequency: (enum) required, How frequently this tax is levied (e.g., "MONTHLY")
- depositFrequency: (enum) required, How frequently this tax must be deposited (e.g., "MONTHLY")
- reportingCode: (string) Reporting code for this tax (e.g., "001")